#include "widget.h"
#include "ui_widget.h"

Widget::Widget(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::Widget)
{
    ui->setupUi(this);
}

Widget::~Widget()
{
    delete ui;
}

void Widget::on_pushButtonOperation_clicked()
{
   bool oka , okb ;
   int a=ui->lineEditA->text().toInt(&oka); // Conversion QString -> int
   int b=ui->lineEditB->text().toInt(&okb);
   if (!oka || !okb) {
       ui->labelError->setText("Entrez un nombre SVP !!");
       if (!oka)
        ui->lineEditA->setText("0");
       if (!okb)
        ui->lineEditB->setText("0");
       ui->lineEditRes->setText("");
       return ;
   }


   int r ;
   if ( ui->radioButtonAdd->isChecked()){

         r = a + b ;
    } else
    {
        r = a - b ;
    }


   QString sr ;
   sr.setNum(r);  // Conversion int -> QString
   ui->lineEditRes->setText(sr);
   ui->labelError->setText("");
}

void Widget::on_radioButtonAdd_clicked()
{
    ui->labelInfo->setText("+");
}

void Widget::on_radioButtonSous_clicked()
{
    ui->labelInfo->setText("-");
}
